Check folder update status
curl --request GET \
--url https://api.hubapi.com/files/2026-03/folders/update/async/tasks/{taskId}/status \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/files/2026-03/folders/update/async/tasks/{taskId}/status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/files/2026-03/folders/update/async/tasks/{taskId}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"completedAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"taskId": "<string>",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z",
"result": {
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"parentFolderId": "<string>",
"path": "<string>"
}
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}フォルダー
Check folder update status
Check status of folder update. Folder updates happen asynchronously.
GET
/
files
/
2026-03
/
folders
/
update
/
async
/
tasks
/
{taskId}
/
status
Check folder update status
Supported products
Supported products
Required Scopes
Required Scopes
承認
oauth2oauth2
The access token received from the authorization server in the OAuth 2.0 flow.
パスパラメータ
レスポンス
successful operation
When the requested changes have been completed.
Timestamp representing when the task was started at.
Current status of the task.
利用可能なオプション:
CANCELED, COMPLETE, PENDING, PROCESSING ID of the task.
Detailed errors resulting from the task.
Show child attributes
Show child attributes
Link to check the status of the task.
Show child attributes
Show child attributes
Number of errors resulting from the requested changes.
Timestamp representing when the task was requested.
Show child attributes
Show child attributes
最終更新日 2026年4月10日
⌘I